#!/bin/sh
set -e

if [ $# != 6 ] ; then
    echo "Must have exactly 6 parameters."
    exit 1
fi

src=`pwd`

rm -rf antlr-2.7.7 
tar zxf antlr-2.7.7.tar.gz

antlr_install_dir=${src}/antlr_dir
rm -rf $antlr_install_dir
mkdir $antlr_install_dir

cd antlr-2.7.7
cd lib/cpp/antlr
sed '10 a\
#include <stdio.h>\
#include <strings.h>' CharScanner.hpp > t.hpp
mv t.hpp CharScanner.hpp
cd -

./configure --disable-examples --disable-python --disable-csharp  --prefix=$antlr_install_dir
make CXXFLAGS=-fPIC install

set +e
cd $src
cmd="make -k SAGA_LOCATION=$1 GLITE_PREFIX=$2 ANTLR_DIR=antlr_dir BOOST_LOCATION=$3 LIBDIR=$4 XERCES_C_DIR=$5 ISN_CPP_LOCATION=$6"
echo Will execute "$cmd" silently
$cmd > /dev/null 2>&1
cmd="make SAGA_LOCATION=$1 GLITE_PREFIX=$2 ANTLR_DIR=antlr_dir BOOST_LOCATION=$3 LIBDIR=$4 XERCES_C_DIR=$5 ISN_CPP_LOCATION=$6 install"
echo Will execute "$cmd"
$cmd
